Export from 8i to 8.0.5
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 10 of 10

Thread: Export from 8i to 8.0.5

  1. #1
    Join Date
    Apr 2000
    Location
    Virginia, USA
    Posts
    12
    I want to try to (have to) export an 8i database to an 8.0.5 database.
    Is it possible? If it is please give me some feedback.

    Thank you for you help.

  2. #2
    Join Date
    Oct 2000
    Location
    Saskatoon, SK, Canada
    Posts
    3,925

    Curtesy to Oracle Metalink
    Code:
    +----------+--------------------------------------------------------------+
    |  EXPORT  |                          IMPORT to                           |
    |   from   +--------+--------+--------+--------+--------+--------+--------+
    |    \/    |  8.0.4 |  8.0.5 |  8.0.6 |  8.1.5 |  8.1.6 |  8.1.7 |  9.0.1 |
    +----------+--------+--------+--------+--------+--------+--------+--------+
    | 5.x 1) 2)| EXP5x  | EXP5x  | EXP5x  | EXP5x  | EXP5x  | EXP5x  | EXP5x  |
    | 6.x    2)| EXP6x  | EXP6x  | EXP6x  | EXP6x  | EXP6x  | EXP6x  | EXP6x  |
    | 7.x    3)| EXP7x  | EXP7x  | EXP7x  | EXP7x  | EXP7x  | EXP7x  | EXP7x  |
    +----------+--------+--------+--------+--------+--------+--------+--------+
    | 8.0.4    | EXP804 | EXP804 | EXP804 | EXP804 | EXP804 | EXP804 | EXP804 |
    | 8.0.5    | EXP804 | EXP805 | EXP805 | EXP805 | EXP805 | EXP805 | EXP805 |
    | 8.0.6    | EXP804 | EXP805 | EXP806 | EXP806 | EXP806 | EXP806 | EXP806 |
    +----------+--------+--------+--------+--------+--------+--------+--------+
    | 8.1.5    | EXP804 | EXP805 | EXP806 | EXP815 | EXP815 | EXP815 | EXP815 |
    | 8.1.6    | EXP804 | EXP805 | EXP806 | EXP815 | EXP816 | EXP816 | EXP816 |
    | 8.1.7    | EXP804 | EXP805 | EXP806 | EXP815 | EXP816 | EXP817 | EXP817 |
    +----------+--------+--------+--------+--------+--------+--------+--------+
    | 9.0.1    | EXP804 | EXP805 | EXP806 | EXP815 | EXP816 | EXP817 | EXP901 |
    +----------+--------+--------+--------+--------+--------+--------+--------+

    Sam
    Thanx
    Sam



    Life is a journey, not a destination!


  3. #3
    Join Date
    Apr 2000
    Location
    Virginia, USA
    Posts
    12
    Sam,

    Thanks. So I should be able to export from an 8i database and import to an 8.0.5 database.....right?

    Do I have to anything pr run any scripts for that?

    Thanks
    Khan.

  4. #4
    Join Date
    Feb 2001
    Location
    Paris, France
    Posts
    809
    What Sam's doc shows you is that you can, but you must use 805 version of the exp utility (and of course 805 version of imp)

  5. #5
    Join Date
    Apr 2000
    Location
    Virginia, USA
    Posts
    12
    Thanks a lot!

    Please forgive me if I sound so ignorance. When you said
    "805 version of the exp utility " ..exactly what you mean?
    Please kind enough to explane more and how i do that?

    Thanks again.

    Khan




  6. #6
    Join Date
    Feb 2001
    Location
    Paris, France
    Posts
    809
    first : do you run NT or Unix ???
    are your 2 versions on 2 different boxes or on the same ???

  7. #7
    Join Date
    Apr 2000
    Location
    Virginia, USA
    Posts
    12
    Both Oracle on Solaris 8 and connecting to same network but in two different location.(In two different box)

  8. #8
    Join Date
    Feb 2001
    Location
    Paris, France
    Posts
    809
    ok then, let's suppose 805 is on box A and instance name is SID1, and 8i (SID2) on box B.
    you go on A, login as oracle, and check that 8i database is in your tnsnames.ora (ie : you can successfully do a tnsping SID2).
    once this is done, check you have enough space to export data, and do :

    exp user/password@SID2 full=Y file=user.dmp and so on ...
    you just make your export, but using @SID2

    then you import the normal way using imp

    note : if you just type
    exp user/password@SID2
    you'll enter in an interactive mode which will ask you some questions, thus allowing you not to include all the parameters on the command line, and it's the same with imp

  9. #9
    Join Date
    Jul 2000
    Posts
    243
    You need to run version 8.0.5 of catexp.sql against the 8.1.7 database before running the 8.0.5 export. After running the 8.0.5 export, run version 8.1.7 of catexp.sql to leave the 8.1.7 database in a consistant state.

    oracle support is supporting this. look at doc id 202667.999

  10. #10
    Join Date
    Apr 2000
    Location
    Virginia, USA
    Posts
    12
    Pipo, great!!!!

    it did work as you said.......thanks a lot!!

    Khan

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width